Package com.smartgwt.client.ai

# Class ReapplyAIFilterResponse

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationResult
com.smartgwt.client.ai.BuildViaAIResponse
com.smartgwt.client.ai.ReapplyAIFilterResponse

All Implemented Interfaces:
  `HasHandlers`

public class ReapplyAIFilterResponse extends BuildViaAIResponse
Represents the result of a request to re-evaluate an "aiFilter" `AdvancedCriteria` on a list of updated records.

See Also:
  - `com.smartgwt.client.ai.AI#asyncReapplyAIFilter`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReapplyAIFilterResponse()`
  `ReapplyAIFilterResponse(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Record[]`
  `getMatchingUpdatedRecords()`
  Of the updatedRecords, the records that now match the "aiFilter" `AdvancedCriteria`.
  `static ReapplyAIFilterResponse`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `ReapplyAIFilterResponse`
  `setMatchingUpdatedRecords(Record... matchingUpdatedRecords)`
  Of the updatedRecords, the records that now match the "aiFilter" `AdvancedCriteria`.

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationResult

  `getCancellationReason, getDisabledMessage, getErrorMessage, getType, setCancellationReason, setDisabledMessage, setErrorMessage, setType`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReapplyAIFilterResponse

    public ReapplyAIFilterResponse()

  - ### ReapplyAIFilterResponse

    public ReapplyAIFilterResponse(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ReapplyAIFilterResponse getOrCreateRef(JavaScriptObject jsObj)

  - ### setMatchingUpdatedRecords

    public ReapplyAIFilterResponse setMatchingUpdatedRecords(Record... matchingUpdatedRecords)
    Of the updatedRecords, the records that now match the "aiFilter" `AdvancedCriteria`.
    Parameters:
      `matchingUpdatedRecords` - New matchingUpdatedRecords value. Default value is null
    Returns:
      `ReapplyAIFilterResponse` instance, for chaining setter calls

  - ### getMatchingUpdatedRecords

    public Record[] getMatchingUpdatedRecords()
    Of the updatedRecords, the records that now match the "aiFilter" `AdvancedCriteria`.
    Returns:
      Current matchingUpdatedRecords value. Default value is null